import sqlite3
create_table_sql = '''
CREATE TABLE IF NOT EXISTS mappings (
	key_id integer PRIMARY KEY,
	system_id VARCHAR NOT NULL UNIQUE
);
'''
create_table_sql2 = '''
CREATE TABLE IF NOT EXISTS encrypted (
	mssg VARCHAR NOT NULL 
);
'''
dbName = 'sqlite.db'

def create_connection(db_file):
    conn = None
    try:
        conn = sqlite3.connect(db_file)
        conn.text_factory = str
        return conn
    except Exception as e:
        print(e)

    return conn

def create_table(conn, create_table_sql):
    try:
        c = conn.cursor()
        c.execute(create_table_sql)
    except Exception as e:
        print(e)
    
    finally:
        conn.close()

if __name__ == 'db':
    conn = create_connection(dbName)
    create_table(conn, create_table_sql)
    conn = create_connection(dbName)
    create_table(conn, create_table_sql2)