import ssl
from kmip.pie.client import ProxyKmipClient
import os

defaultClientFolder = "/etc/pykmip"
defaultClientConfig = "/etc/pykmip/pykmip.conf"

if not os.path.exists(defaultClientFolder):
    os.makedirs(defaultClientFolder)

#if not os.path.exists(defaultClientConfig):
file = open(defaultClientConfig, 'w+')
file.write("""
[client]
host=0.0.0.0
port=5696
keyfile=/home/ubuntu/keys/client_key_jane_doe.pem
certfile=/home/ubuntu/keys/client_certificate_jane_doe.pem
ca_certs=/home/ubuntu/keys/root_certificate.pem
cert_reqs=CERT_REQUIRED
do_handshake_on_connect=True
suppress_ragged_eofs=True
username=example_username
password=example_password
""")
file.close()

client = ProxyKmipClient()
print("_is_open", client._is_open)
with client:
    print("_is_open after with c", client._is_open)
    client.close()
    print("_is_open after with close", client._is_open)

